Skip to main content

Enable webhook

Method POST

https://my.easyweek.io/api/public/v2/webhooks/{webhook_id}/enable

Description: This endpoint enables a webhook so it starts receiving event callbacks. The request takes no body.

Example Request

curl -i -X POST \
https://my.easyweek.io/api/public/v2/webhooks/{webhook_id}/enable \
-H 'Authorization: Bearer <YOUR_SECRET>' \
-H 'Workspace: <YOUR_WORKSPACE>'

Path Parameters

  • webhook_id (integer, required): The numeric identifier of the webhook to enable.

Example Response

{
"id": 12,
"url": "https://example.com/hooks/easyweek",
"method": "post",
"description": "My webhook",
"success_statuses": "200, 201",
"status": "enabled",
"send_notification": false,
"emails": "",
"events": ["booking-created", "booking-canceled"],
"parameters": [],
"headers": [],
"tries": 3,
"timeout": 10
}